import { NodeType } from '@hestia-earth/schema';
import * as i0 from "@angular/core";
export declare class LinkKeyValueComponent {
    node: any;
    nodeType?: NodeType;
    dataKey?: string;
    key?: string;
    baseUrl: string;
    toString: (value: any) => any;
    get type(): any;
    get value(): any;
    get valueString(): any;
    get valueLink(): string;
    get isArray(): boolean;
    get isUndefined(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkKeyValueComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkKeyValueComponent, "he-link-key-value", never, { "node": "node"; "nodeType": "nodeType"; "dataKey": "dataKey"; "key": "key"; }, {}, never, never>;
}
